DatanodeHttpServer.MapBasedFilterConfig (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.datanode.web, class: DatanodeHttpServer, class: MapBasedFilterConfig

Package org.apache.hadoop.hdfs.server.datanode.web

# Class DatanodeHttpServer.MapBasedFilterConfig

java.lang.Object
org.apache.hadoop.hdfs.server.datanode.web.DatanodeHttpServer.MapBasedFilterConfig

All Implemented Interfaces:
  `javax.servlet.FilterConfig`

Enclosing class:
  DatanodeHttpServer

public static final class DatanodeHttpServer.MapBasedFilterConfig extends Object implements javax.servlet.FilterConfig
Since the DataNode HTTP server is not implemented in terms of the servlet API, it takes some extra effort to obtain an instance of the filter. This method provides a minimal `FilterConfig` implementation backed by a `Map`. Call this from your filter handler to initialize a servlet filter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapBasedFilterConfig(String filterName, Map<String,String> parameters)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilterName()`
  `String`
  `getInitParameter(String name)`
  `Enumeration<String>`
  `getInitParameterNames()`
  `javax.servlet.ServletContext`
  `getServletContext()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MapBasedFilterConfig

    public MapBasedFilterConfig(String filterName, Map<String,String> parameters)

- ## Method Details

  - ### getFilterName

    public String getFilterName()
    Specified by:
      `getFilterName` in interface `javax.servlet.FilterConfig`

  - ### getInitParameter

    public String getInitParameter(String name)
    Specified by:
      `getInitParameter` in interface `javax.servlet.FilterConfig`

  - ### getInitParameterNames

    public Enumeration<String> getInitParameterNames()
    Specified by:
      `getInitParameterNames` in interface `javax.servlet.FilterConfig`

  - ### getServletContext

    public javax.servlet.ServletContext getServletContext()
    Specified by:
      `getServletContext` in interface `javax.servlet.FilterConfig`